ipod touch

Discussion in 'iPod touch' started by hads, Aug 23, 2010.

  1. hads

    hads New Member

    Joined:
    Aug 23, 2010
    Messages:
    1
    Likes Received:
    0
    hi, i have wanted to update the software on my ipod to the latest software. so i clicked update and itunes told me to install the new version of itunes, so i did and now when i try to connect my ipod with itunes to update the software it has been saying that it cant connect because the devices doesnt have the latest sifware, uninstall itunes and install it again. which i have done and its still displaying the same thing. please could someone help me

Share This Page